package com.muyu.markteing.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
* 普通策略
* @TableName team_strategy_exemption_ordinary
*/
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "team_strategy_exemption_ordinary",autoResultMap = true)
public class TeamStrategyExemptionOrdinary extends BaseEntity {

    /**
    * 主键
    */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
    * 持续时间
    */

    private Integer duration;
    /**
    * 成团人数
    */

    private Integer teamNumber;
    /**
    * 最大购买量
    */

    private Integer maxBuy;
    /**
    * 单次购买量
    */

    private Integer oneBuy;
    /**
    * 虚拟人数
    */

    private Integer virtualNumber;
    /**
    * 策略状态
    */

    private String status;


}
