package com.muyu.markteing.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 团购商品库存模型
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TeamProductStockModel {
    /**
     * 拼团总库存
     */
    private Long reamStock;
    /**
     * 拼团剩余库存
     */
    private Long remainStock;

    private Long teamStock;

}
