package com.muyu.marketing.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;
import com.muyu.markteing.domain.ActivityTeamOpenInfo;


public interface ActivityTeamOpenInfoService extends IService<ActivityTeamOpenInfo> {
    /**
     *
     * @return
     */
    public Long getTeamOpenNumberByTeamIdAndType(Long teamId, TeamOpenTypeEnum teamOpenEnum);


    public default Long getTeamOpenNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId, TeamOpenTypeEnum.OPEN_TEAM);
    }


    public default Long getTeamInTypeNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId,TeamOpenTypeEnum.IN_TEAM);
    }
}
